Subject: Re: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Stefan Kangas <[email-masked]>
Date: Fri, 23 Aug 2019 09:18:43 +0200

Drew Adams <[email-masked]> writes:

>> (info "(emacs) Keymaps") should mention the best way to view a keymap.
>> If the user just uses describe-variable, he will see
>>  (67108910 . flyspell-auto-correct-word)
>> etc. So mention he should use `describe-bindings'.
>
> `describe-bindings' does not describe the bindings of a given
> keymap.
>
> S?he should use `describe-keymap' (`C-h M-k'), from `help-fns+.el'.
>
> It describes the bindings in a keymap in the usual human-readable
> way.  You are prompted for a keymap variable (e.g., `ctl-x-map`),
> with completion.  (Non-interactively, the argument can be a keymap
> itself or a keymap variable.)
>
> This or similar code should be in vanilla Emacs.  (I've offered
> any and all of my code.)
>
> https://www.emacswiki.org/emacs/download/help-fns%2b.el

I copied and  evaluated the describe-keymap function, but when I typed
M-x describe-keymap I got the following error:

save-current-buffer: Symbol’s function definition is void:
Info-make-manuals-xref

I couldn't find the definition of a function by that name in the file
you indicated, so I'm guessing there's some dependencies involved and
that I don't have.  Could you provide a version of this function which
works on current master without requiring these extra packages?

Thanks,
Stefan Kangas